.hidden {
    display: none;
}

.modal-font {
    font-family: 'Pretendard', sans-serif;
}

.font-bold {
    font-weight: 700;
}

.modal-form {
    margin-top: 30px;
}

.modal-content {
    background: white;
    width: 100%;
    max-width: 600px;
    margin: 0;
    max-height: 85vh;
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.modal-header {
    background-color: #3b82f6;
    color: white;
    padding: 1rem;
    text-align: center;
    position: relative;
    align-items: center;
}

.modal-title {
    font-size: 1.25rem;
    font-weight: bold;
}

.modal-text-01 {
    margin-top: 10px;
    text-align: center;
    font-size: 24px;
    font-weight: 700;
    padding: 10px;
}

.modal-text-02 {
    text-align: center;
    font-size: 20px;
    font-weight: 500;
    line-height: 30px;
    padding: 10px;
}

.modal-body {
    flex-grow: 1;
    overflow-y: auto;
    padding-bottom: 1.2rem;
}

.modal-image img,
.modal-image-large img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.modal-image-large {
    padding-top: 2rem;
    padding-left: 2rem;
    padding-right: 2rem;
}

.modal-btn-container {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: auto;
}

.modal-btn {
    height: 100%;
    justify-content: center;
    background-color: transparent;
    border-radius: 4px;
    overflow: hidden;
    margin-top: 1.8rem;
}

@media (max-width: 500px) {
    .modal-btn-container {
        padding-left: 1rem !important;
        padding-right: 1rem !important;
    }
}

.form-group {
    margin-bottom: 1rem;
}

.form-label {
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 8px;
}

.form-input {
    width: 100%;
    padding: 0.75rem;
    border: 1px solid #bdbdbd;
    border-radius: 10px;
    font-size: 1rem;
    color: #bdbdbd;
}

.form-btn-container {
    display: flex;
    justify-content: center;
    margin-top: 1.5rem;
}

.form-btn {
    width: 100%;
    height: 60px;
    background-color: #0583f2;
    color: white;
    font-size: 1.125rem;
    font-weight: bold;
    border-radius: 10px;
}

.custom-input {
    margin-top: 10px;
}

.timer {
    position: absolute;
    right: 1rem;
    top: 50%;
    transform: translateY(-50%);
    font-size: 1.125rem;
    font-weight: bold;
    color: #0467be;
}

.attempts {
    font-size: 0.875rem;
    text-align: right;
    margin-top: 1rem;
    color: #555;
}

.highlight {
    font-weight: bold;
    color: #0467be;
}

.dropdown {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.75rem;
    border: 1px solid #bdbdbd;
    border-radius: 10px;
    cursor: pointer;
    position: relative;
    transition: background-color 0.3s ease;
}

.dropdown-icon {
    stroke: #222222;
}

.dropdown.selected {
    border: 1px solid #0583F2;
}

.dropdown-icon.selected {
    stroke: #0583F2;
}

.dropdown-menu {
    position: absolute;
    top: 120%;
    left: 0;
    background-color: white;
    width: 100%;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    max-height: 250px;
    overflow-y: auto;
    z-index: 10;
    padding: 10px;
    border-radius: 10px;
}

.dropdown-item {
    font-size: 18px;
    font-weight: 500;
    padding: 0.75rem;
    cursor: pointer;
}

.dropdown-item:hover {
    background-color: #E6F3FE;
    color: #0583F2;
    font-weight: bold;
    border-radius: 8px;
}

#selectedOption {
    font-family: 'Pretendard', sans-serif;
    font-weight: 500;
    font-size: 20px;
    color: #BDBDBD
}

#customDropdown {
    margin-top: 10px;
}

#phoneVerifyGuideModal .modalWrap {
    position: fixed;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.5);
}

#phoneVerifyGuideModal .modal-content {
    background: white;
    width: 100%;
    max-width: 600px;
    margin: 0;
    max-height: 85vh;
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#phoneVerifyGuideModal .modal-header {
    background-color: #3b82f6;
    color: white;
    padding: 1rem;
    text-align: center;
    position: relative;
}

#phoneVerifyGuideModal .modal-title {
    font-size: 1.25rem;
    font-weight: bold;
}

#phoneVerifyGuideModal .btn_close {
    position: absolute;
    right: 0.5rem;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
}

#accountVerifyGuideModal .modalWrap {
    position: fixed;
    inset: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.5);
}

#accountVerifyGuideModal .modal-content {
    background: white;
    width: 100%;
    max-width: 600px;
    margin: 0;
    max-height: 85vh;
    display: flex;
    flex-direction: column;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#accountVerifyGuideModal .modal-header {
    background-color: #3b82f6;
    color: white;
    padding: 1rem;
    text-align: center;
    position: relative;
}

#accountVerifyGuideModal .modal-title {
    font-size: 1.25rem;
    font-weight: bold;
}

#accountVerifyGuideModal .btn_close {
    position: absolute;
    right: 0.5rem;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
}

#ReqBankAuth .modal-body {
    padding: 1.5rem;
}

#ReqBankAuth .form-group {
    margin-top: 2rem;
}

#ReqBankAuth .custom-input,
#ReqBankAuthConfirm .custom-verify-number-input {
    height: 58px !important;
    width: 402px !important;
    padding-top: 12px !important;
    padding-right: 12px !important;
    padding-bottom: 12px !important;
    padding-left: 24px !important;
    border: 1px solid #BDBDBD !important;
    border-radius: 10px !important;
    box-sizing: border-box !important;
    appearance: none !important;
    font-size: 20px !important;
    color: black !important;
    font-weight: 500 !important;
    transition: border-color 0.3s ease !important;
    max-width: 100% !important;
}

#ReqBankAuthConfirm .custom-verify-number-input {
    border: none !important;
    border-bottom: 3px solid #BDBDBD !important;
    border-radius: 0 !important;
    outline: none !important;
    box-shadow: none !important;
    padding-top: 0 !important;
    padding-right: 0 !important;
    padding-bottom: 0 !important;
    padding-left: 0 !important;
}

    #ReqBankAuth .custom-input::placeholder,
    #ReqBankAuthConfirm .custom-verify-number-input::placeholder {
        font-size: 20px;
        color: #BDBDBD;
        font-weight: 500;
    }

#ReqBankAuth .custom-input:focus {
    border: 1px solid #0583F2 !important;
}

#ReqBankAuthConfirm .custom-verify-number-input:focus {
    outline: none;
    box-shadow: none !important;
    border: none !important;
    border-bottom: 3px solid #0467BE !important;
}

#ReqBankAuthConfirm .modal-body {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#ReqBankAuthConfirm .form-group {
    position: relative;
    width: 100%;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    padding-top: 1.5rem;
}

#ReqBankAuthConfirm .custom-verify-number-input {
    width: 100%;
    height: 50px;
    font-size: 24px;
    padding-left: 10px;
    border: 1px solid #0467BE;
    border-radius: 8px;
}

#ReqBankAuthConfirm .timer {
    position: absolute;
    right: 1.5rem;
    top: 50%;
    text-align: center;
    font-size: 18px;
    color: #0467BE;
}

#ReqBankAuthConfirm .attempts {
    text-align: right;
    font-size: 14px;
    font-weight: 500;
    color: #555;
    margin-top: 12px;
    right: 1.5rem;
}

#ReqBankAuthConfirm .modal-image {
    padding: 0.5rem;
}
